import discord
from discord import app_commands

from modules import FourasModule, RhymesModule
from dotenv import load_dotenv

load_dotenv()

MODULES = FourasModule, RhymesModule

intents = discord.Intents.default()
intents.members = True
intents.presences = True
intents.guilds = True
intents.messages = True
intents.message_content = True
client = discord.Client(intents=intents)

tree = app_commands.CommandTree(client)
