import json

with open("rhymes.txt", "r") as f:
    key = ""
    res = {}
    lines = [line.strip("\n") for line in f.readlines()]
    for line in lines:
        if line == "[KEYS]":
            key = "keys"
        elif line == "[RHYMES]":
            key = "rhymes"
        else:
            k, v = line.split(":")
            res.setdefault(k, {})[key] = v.split(",")


with open("rhymes.json", "w") as f:
    json.dump(res, f, indent=2, ensure_ascii=False)
